document.addEventListener('DOMContentLoaded', () => {
  const answers = [
    "It is certain",
    "Maybe...",
    "Ask again later",
    "Cannot predict now",
    "Don't count on it",
    "Outlook good",
    "Signs point to yes",
    "Very doubtful",
    "Without a doubt",
    "Better not tell you now"
  ];

  const ball = document.querySelector('.ball');
  const answerElement = document.querySelector('.answer span');
  const askButton = document.getElementById('askButton');
  const questionInput = document.getElementById('question');

  function shake() {
    ball.style.animation = 'shake 0.5s ease-in-out';
    setTimeout(() => {
      ball.style.animation = '';
      answerElement.textContent = answers[Math.floor(Math.random() * answers.length)];
    }, 500);
  }

  askButton.addEventListener('click', () => {
    if (questionInput.value.trim() !== '') {
      shake();
    }
  });

  questionInput.addEventListener('keypress', (e) => {
    if (e.key === 'Enter' && questionInput.value.trim() !== '') {
      shake();
    }
  });

  // Add shake animation
  const style = document.createElement('style');
  style.textContent = `
    @keyframes shake {
      0% { transform: rotate(0deg); }
      25% { transform: rotate(10deg); }
      50% { transform: rotate(-10deg); }
      75% { transform: rotate(5deg); }
      100% { transform: rotate(0deg); }
    }
  `;
  document.head.appendChild(style);
});